%HW3_solution
clear
%NY Solution
NY_wind = xlsread('NY_wind');

%roughness

for i = 1:length(NY_wind)
    NY_power(i) = power_func(NY_wind(i)); %[W]
end
NY_power_MW = NY_power / 1000000; %[MW]

[s_max, total_cost, t_g_per, s_i_per, n_s_per, t_per] = fig_cost_func(NY_power_MW,20000,1000,50000);


% 20 Location Solution
twenty_loc_wind = xlsread('20loc_wind');
%roughness
for i = 1:20
    for j = 1:8760
        power(j,i) = power_func(twenty_loc_wind(j,i));
    end
end

%sum across rows of power
twentyloc_power = 0; 
for i = 1:8760
    twentyloc_power(i) = sum(power(i,:));
end

twentyloc_power_MW = twentyloc_power / 1000000;

[s_max_unopt, total_cost_unopt, t_g_per_unopt, s_i_per_unopt, n_s_per_unopt, t_per_unopt] = fig_cost_func(twentyloc_power_MW, 1000, 500, 2500);

% 20 Location Optimized Solution
% k = 1;
% 
% for j = 5:9
%     
%     opt_turbines =  convecopt((power/1000000), j, 0);
%     power_opt_summed = (power * opt_turbines)/1000000;
%     
%     [s_max_opt, total_cost_opt, t_g_per_opt, s_i_per_opt, n_s_per_opt, t_per_opt] = fig_cost_func(power_opt_summed,20000,1,20000);
%     s_max_opt_array(k) = s_max_opt;
%     st(k) = std(power_opt_summed * 20000);
%     total_cost_opt_array(k) = total_cost_opt;
%     t_g_per_opt_array(k) = t_g_per_opt; 
%     s_i_per_opt_array(k) = s_i_per_opt;
%     n_s_per_opt_array(k) = n_s_per_opt;
%     t_per_opt_array(k) = t_per_opt;
%     
%     k = k + 1;
% end


 